Bug 114081 - 'rpmbuild -bs' fails if any BuildRequires are not satisfied.
'rpmbuild -bs' fails if any BuildRequires are not satisfied.
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
1
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnson
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-01-22 08:49 EST by Steven Hosgood
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-01-22 12:13:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steven Hosgood 2004-01-22 08:49:20 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1)
Gecko/20031114

Description of problem:
The -bs flag just takes sources, patches and a .spec file and packs
them as a .src.rpm file.

It surely shouldn't matter if the BuildRequires fail on the machine
that does this packing?

You are, after all, not actually building the thing yet.

Version-Release number of selected component (if applicable):
rpm-4.2.1-0.30

How reproducible:
Always

Steps to Reproduce:
1. Take a .spec file (foo.spec)
2. Add a BuildRequires line for some package you don't have (bar-devel)
3. Try 'rpmbuild -bs foo.spec'
    

Actual Results:  error: Failed build dependencies:
        bar-devel is needed by foo-2.3.4-5


Expected Results:  I'd expect foo-2.3.4-5.src.rpm to be created.

Additional info:
Comment 1 Jeff Johnson 2004-01-22 12:13:19 EST
Yup. Add --nodeps to disable build dependency checks.
Comment 2 Steven Hosgood 2004-01-23 05:13:45 EST
<blush>
I didn't know you could use --nodeps on 'rpmbuild', though I suppose I
should have tried it 'just in case'.
</blush>

A minor follow-on then: '--nodeps' isn't mentioned in the man page for
rpmbuild.

Note You need to log in before you can comment on or make changes to this bug.